@@
::
:: By Cwood@qq.com
::

@SETLOCAL
@SET XDIR=%~dp0
@SET XDIR=%XDIR:~0,-1%
@IF "%ProgramW6432%"=="" (
  SET X_ARCH=x86
) ELSE (
  SET X_ARCH=x64
)
@PUSHD "%XDIR%\.."
@SET VDIR=%CD%
@POPD
@SET VBOX_USER_HOME=%VDIR%\Home
@%VDIR%\%X_ARCH%\VBoxManage.exe %*
